Bug 974737 - Review Request: svni - Subversion interactive check-in wrapper
Review Request: svni - Subversion interactive check-in wrapper
Status: CLOSED ERRATA
Product: Fedora
Classification: Fedora
Component: Package Review (Show other bugs)
rawhide
All Linux
medium Severity medium
: ---
: ---
Assigned To: Eduardo Echeverria
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2013-06-15 02:53 EDT by Christopher Meng
Modified: 2013-08-25 18:54 EDT (History)
3 users (show)

See Also:
Fixed In Version: svni-0.36.2-2.fc19
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2013-08-25 18:54:09 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---
echevemaster: fedora‑review+
limburgher: fedora‑cvs+


Attachments (Terms of Use)
Patch for the svni's makefile (1.03 KB, patch)
2013-07-10 00:18 EDT, Eduardo Echeverria
no flags Details | Diff

  None (edit)
Description Christopher Meng 2013-06-15 02:53:55 EDT
Spec URL: http://cicku.me/svni.spec
SRPM URL: http://cicku.me/svni-0.36-1.fc20.src.rpm

Description: svni is a wrapper for "svn ci". It features syntax checking before checking 
in files; Giving the possibility to make a final selection of files to check 
in when entering a commit message; And showing the differences that are 
about to be checked in.

Features:
- Command-line tool
- Check syntax before committing files to the repository
- Review changes before committing
- Make last-minute changes to the list of files to be committed
- Automatically execute a script after a succesful commit

Fedora Account System Username: cicku
Comment 1 Christopher Meng 2013-06-21 06:13:04 EDT
NEW Spec URL: http://cicku.me/svni.spec
NEW SRPM URL: http://cicku.me/svni-0.36.1-1.fc20.src.rpm
Comment 2 Eduardo Echeverria 2013-07-07 22:35:13 EDT
subpackage should to depend of main package, i think that isn't correct installing vim-svni without svni, also, any combination of subpackages should install the documentation.

please add a comment "Nothing to build" in the section %build
Comment 3 Christopher Meng 2013-07-08 09:33:44 EDT
All fixed except "also, any combination of subpackages should install the documentation.", I'm sorry I don't understand what you mean.....

NEW Spec URL: http://cicku.me/svni.spec
NEW SRPM URL: http://cicku.me/svni-0.36.1-2.fc20.src.rpm
Comment 4 Michael Schwendt 2013-07-09 04:50:52 EDT
Hmmm, there's only this relevant piece:
https://fedoraproject.org/wiki/Packaging:LicensingGuidelines#Subpackage_Licensing

There's no requirement for [sub]packages to depend on optional -doc subpackages. Unless it's the case as explained in above guideline.
Comment 5 Christopher Meng 2013-07-09 05:19:42 EDT
(In reply to Michael Schwendt from comment #4)

??? What is it?
Comment 6 Eduardo Echeverria 2013-07-09 06:55:21 EDT
(In reply to Michael Schwendt from comment #4)
> Hmmm, there's only this relevant piece:
> https://fedoraproject.org/wiki/Packaging:
> LicensingGuidelines#Subpackage_Licensing
> 
there are some reason for svni-vim not to depend of svni? i think that svni-vim isn't be should an independent package, therefore, the installation of the subpackage will install the documentation contained in the base package.

> There's no requirement for [sub]packages to depend on optional -doc
> subpackages. Unless it's the case as explained in above guideline.
Comment 7 Christopher Meng 2013-07-09 07:12:00 EDT
I've searched some -vim packages, some have requires of core and some are not.
Comment 8 Michael Schwendt 2013-07-09 08:17:33 EDT
There seems to be some language barriers. So, let's see:


* Two packages are built:

  svni.noarch
  svni-vim.noarch

* svni-vim "Requires: svni = …"


Therefore the subpackage licensing guidelines apply:

  https://fedoraproject.org/wiki/Packaging:LicensingGuidelines#Subpackage_Licensing

That means, svni-vim does NOT need to include a copy of the license file "COPYING" as %doc, because that file is included in the required base package already.

_If_ svni-vim didn't require the base svni package, it would need to include the license file as %doc. Per the guidelines.


With regard to the other %doc files (non-license files), there are no other guidelines that mandate a subpackage dependency of some sort. Except if documentation files are strictly needed at run-time (for example, if a GUI contains a menu item to display them), they would need to be handled appropriately. But that's no issue here.


> License:        GPLv3+

The executable _and_ the manual page say it's "GPLv3". There's no "or later" clause.
Comment 9 Christopher Meng 2013-07-09 08:27:21 EDT
OK.

Let's make a decision, should I need to include the main pkg for the sub?

If not I will fix the issues.

Confused also now...
Comment 10 Michael Schwendt 2013-07-09 10:31:21 EDT
What exactly confuses you? It's one of the more simple guidelines.
Comment 11 Christopher Meng 2013-07-09 10:48:18 EDT
(In reply to Michael Schwendt from comment #8)

Well, I'm confused because I didn't add copying as vim sub's %doc.

NEW Spec URL: http://cicku.me/svni.spec
NEW SRPM URL: http://cicku.me/svni-0.36.1-3.fc20.src.rpm
Comment 12 Michael Schwendt 2013-07-09 10:58:25 EDT
Reviewing is not only about finding mistakes, but also about verifying how things are to be done.
Comment 13 Eduardo Echeverria 2013-07-10 00:18:15 EDT
Created attachment 771378 [details]
Patch for the svni's makefile

(In reply to Michael Schwendt from comment #12)
> Reviewing is not only about finding mistakes, but also about verifying how
> things are to be done.

This is my work in this review, and that's what I do

I've made a patch for use the makefile of the package, please test it and build again

@cicku, please update the package at the next release
http://downloads.sourceforge.net/project/svni/0.36.2/svni-0.36.2.tar.gz
Comment 14 Christopher Meng 2013-07-15 00:45:35 EDT
NEW Spec URL: http://cicku.me/svni.spec
NEW SRPM URL: http://cicku.me/svni-0.36.2-1.fc20.src.rpm
Comment 15 Christopher Meng 2013-08-12 08:20:28 EDT
My Makefile patch sent upstream;

IO::FIle is a part of perl, not perl-IO-All.
Comment 16 Christopher Meng 2013-08-12 22:00:56 EDT
Perl 5.18 Rebuild:

NEW Spec URL: http://cicku.me/svni.spec
NEW SRPM URL: http://cicku.me/svni-0.36.2-2.fc20.src.rpm
Comment 17 Eduardo Echeverria 2013-08-12 23:09:47 EDT
Package Review
==============

Legend:
[x] = Pass, [!] = Fail, [-] = Not applicable, [?] = Not evaluated
[ ] = Manual review needed



===== MUST items =====

Generic:
[x]: Package is licensed with an open-source compatible license and meets
     other legal requirements as defined in the legal section of Packaging
     Guidelines.
[x]: Package contains no bundled libraries without FPC exception.
[x]: Changelog in prescribed format.
[x]: Sources contain only permissible code or content.
[-]: Package contains desktop file if it is a GUI application.
[-]: Development files must be in a -devel package
[x]: Package requires other packages for directories it uses.
[x]: Package uses nothing in %doc for runtime.
[x]: Package is not known to require ExcludeArch.
[x]: Fully versioned dependency in subpackages, if present.
     Note: No Requires: %{name}%{?_isa} = %{version}-%{release} in svni-vim
[x]: Package complies to the Packaging Guidelines
[x]: License field in the package spec file matches the actual license.
     Note: Checking patched sources after %prep for licenses. No licenses
     found. Please check the source files for licenses manually.
[x]: License file installed when any subpackage combination is installed.
[x]: Package consistently uses macro is (instead of hard-coded directory
     names).
[x]: Package is named according to the Package Naming Guidelines.
[x]: Package does not generate any conflict.
[x]: Package obeys FHS, except libexecdir and /usr/target.
[-]: If the package is a rename of another package, proper Obsoletes and
     Provides are present.
[x]: Package must own all directories that it creates.
[x]: Package does not own files or directories owned by other packages.
[x]: Requires correct, justified where necessary.
[x]: Spec file is legible and written in American English.
[-]: Package contains systemd file(s) if in need.
[-]: Large documentation must go in a -doc subpackage.
     Note: Documentation size is 102400 bytes in 6 files.
[x]: All build dependencies are listed in BuildRequires, except for any that
     are listed in the exceptions section of Packaging Guidelines.
[x]: Package does not run rm -rf %{buildroot} (or $RPM_BUILD_ROOT) at the
     beginning of %install.
[x]: Each %files section contains %defattr if rpm < 4.4
[x]: Macros in Summary, %description expandable at SRPM build time.
[x]: Package does not contain duplicates in %files.
[x]: Permissions on files are set properly.
[x]: If (and only if) the source package includes the text of the license(s)
     in its own file, then that file, containing the text of the license(s)
     for the package is included in %doc.
[x]: Package use %makeinstall only when make install' ' DESTDIR=... doesn't
     work.
[x]: Package is named using only allowed ASCII characters.
[x]: Package do not use a name that already exist
[x]: Package is not relocatable.
[x]: Sources used to build the package match the upstream source, as provided
     in the spec URL.
[x]: Spec file name must match the spec package %{name}, in the format
     %{name}.spec.
[x]: File names are valid UTF-8.
[x]: Packages must not store files under /srv, /opt or /usr/local
[x]: Package successfully compiles and builds into binary rpms on at least one
     supported primary architecture.
[x]: Package installs properly.
[x]: Rpmlint is run on all rpms the build produces.
     Note: There are rpmlint messages (see attachment).

===== SHOULD items =====

Generic:
[-]: If the source package does not include license text(s) as a separate file
     from upstream, the packager SHOULD query upstream to include it.
[x]: Final provides and requires are sane (see attachments).
[?]: Package functions as described.
[x]: Latest version is packaged.
[x]: Package does not include license text files separate from upstream.
[-]: Description and summary sections in the package spec file contains
     translations for supported Non-English languages, if available.
[x]: Package should compile and build into binary rpms on all supported
     architectures.
[-]: %check is present and all tests pass.
[x]: Packages should try to preserve timestamps of original installed files.
[x]: Packager, Vendor, PreReq, Copyright tags should not be in spec file
[x]: Sources can be downloaded from URI in Source: tag
[x]: Reviewer should test that the package builds in mock.
[x]: Buildroot is not present
[x]: Package has no %clean section with rm -rf %{buildroot} (or
     $RPM_BUILD_ROOT)
[x]: Dist tag is present.
[x]: No file requires outside of /etc, /bin, /sbin, /usr/bin, /usr/sbin.
[x]: SourceX tarball generation or download is documented.
[x]: SourceX is a working URL.
[x]: Spec use %global instead of %define.

===== EXTRA items =====

Generic:
[x]: Large data in /usr/share should live in a noarch subpackage if package is
     arched.
[x]: Rpmlint is run on all installed packages.
     Note: There are rpmlint messages (see attachment).
[x]: Spec file according to URL is the same as in SRPM.


Rpmlint
-------
Checking: svni-0.36.2-2.fc20.noarch.rpm
          svni-vim-0.36.2-2.fc20.noarch.rpm
svni.noarch: W: spelling-error %description -l en_US svn -> sen, sin, son
svni.noarch: W: spelling-error %description -l en_US ci -> s, Ci, xi
svni-vim.noarch: W: no-documentation
2 packages and 0 specfiles checked; 0 errors, 3 warnings.




Rpmlint (installed packages)
----------------------------
# rpmlint svni-vim svni
svni-vim.noarch: W: no-documentation
svni.noarch: W: spelling-error %description -l en_US svn -> sen, sin, son
svni.noarch: W: spelling-error %description -l en_US ci -> s, Ci, xi
2 packages and 0 specfiles checked; 0 errors, 3 warnings.
# echo 'rpmlint-done:'



Requires
--------
svni-vim (rpmlib, GLIBC filtered):
    svni
    vim

svni (rpmlib, GLIBC filtered):
    /usr/bin/perl
    perl(:MODULE_COMPAT_5.18.0)
    perl(File::Temp)
    perl(Getopt::Long)
    perl(IO::File)
    perl(constant)
    subversion



Provides
--------
svni-vim:
    svni-vim

svni:
    svni



Source checksums
----------------
http://downloads.sourceforge.net/project/svni/0.36.2/svni-0.36.2.tar.gz :
  CHECKSUM(SHA256) this package     : c267c35443561605cceff2bdd49f293ba4f907994569875f0d51cef43f8d632f
  CHECKSUM(SHA256) upstream package : c267c35443561605cceff2bdd49f293ba4f907994569875f0d51cef43f8d632f


Generated by fedora-review 0.4.1 (b2e211f) last change: 2013-04-29
Buildroot used: fedora-rawhide-x86_64
Command line :/usr/bin/fedora-review -b 974737 -m fedora-rawhide-x86_64


----------------

PACKAGE APPROVED

----------------
Comment 18 Christopher Meng 2013-08-12 23:21:29 EDT
Thanks.
Comment 19 Christopher Meng 2013-08-12 23:22:33 EDT
New Package SCM Request
=======================
Package Name: svni
Short Description: Subversion interactive check-in wrapper
Owners: cicku
Branches: f19
InitialCC:
Comment 20 Gwyn Ciesla 2013-08-13 08:42:51 EDT
Git done (by process-git-requests).
Comment 21 Fedora Update System 2013-08-13 23:20:07 EDT
svni-0.36.2-2.fc19 has been submitted as an update for Fedora 19.
https://admin.fedoraproject.org/updates/svni-0.36.2-2.fc19
Comment 22 Fedora Update System 2013-08-14 23:00:38 EDT
svni-0.36.2-2.fc19 has been pushed to the Fedora 19 testing repository.
Comment 23 Fedora Update System 2013-08-25 18:54:09 EDT
svni-0.36.2-2.fc19 has been pushed to the Fedora 19 stable repository.

Note You need to log in before you can comment on or make changes to this bug.